#!/bin/sh

$SUDO $PM $PM_INSTALL $PM_NOCONFIRM \
    zsh \
    cmake # for fastfetch

# install fastfetch
[ -d /tmp/fastfetch ] || \
    git clone https://github.com/LinusDierheimer/fastfetch /tmp/fastfetch

if [ ! -f /tmp/fastfetch/build/fastfetch ]; then
pushd /tmp/fastfetch
    mkdir -p build
        pushd build
        cmake ..
        cmake --build . --target fastfetch
        $SUDO mv fastfetch /usr/local/bin/fastfetch
    popd
popd
fi

# install omz
bash -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" "" --unattended || echo "zsh not installed"

# favourite omz plugins
PL_DIR=${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-autosuggestions
[ -d "$PL_DIR" ] || git clone https://github.com/zsh-users/zsh-autosuggestions $PL_DIR
PL_DIR=${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-syntax-highlighting
[ -d "$PL_DIR" ] || git clone https://github.com/zsh-users/zsh-syntax-highlighting.git $PL_DIR

# set default shell
$SUDO usermod $USER --shell /bin/zsh